%define upstream_name WeakRef
%define upstream_version 0.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 21
Summary:	An API to the Perl weak references
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/WeakRef/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel


%description
A patch to Perl 5.005_55 by the author implements a core API for weak
references. This module is a Perl-level interface to that API, allowing weak
references to be created in Perl.

A weak reference is just like an ordinary Perl reference except that it isn't
included in the reference count of the thing referred to. This means that once
all references to a particular piece of data are weak, the piece of data is
freed and all the weak references are set to undef. This is particularly useful
for implementing circular data structures without memory leaks or caches of
objects.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files 
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.10.0-21pclos2017
- rebuild against updates

